## kpim6-libkgapi 25.08.2+p24.04+vstable+git20251019.0229

=== tools/schema_generator/requirements.txt ===
black
Jinja2
mypy
mypy-extensions
pylint
PyYAML
requests

## kpim6-libkgapi 25.08.0

=== debian/changelog ===
kpim6-libkgapi (25.08.0-1zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 01:18:42 +0000

kpim6-libkgapi (25.08.0-1neon) noble; urgency=medium

  * new release to fix libkdexoauth2.so in wrong package

 -- Neon CI <neon@kde.org>  Thu, 08 Sep 2025 01:15:55 +0000

kpim6-libkgapi (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:35:55 +0000

kpim6-libkgapi (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 12:04:20 +0000

kpim6-libkgapi (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:04:20 +0000

kpim6-libkgapi (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:46:19 +0000

kpim6-libkgapi (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:01:48 +0000

kpim6-libkgapi (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:30:10 +0000

kpim6-libkgapi (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:00:30 +0000

kpim6-libkgapi (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:52:10 +0000

kpim6-libkgapi (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:47:07 +0000

kpim6-libkgapi (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:03:18 +0000

kpim6-libkgapi (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:35:05 +0000

kpim6-libkgapi (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:06:43 +0000

kpim6-libkgapi (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 12:59:41 +0000

kpim6-libkgapi (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:40:10 +0000

kpim6-libkgapi (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:02:06 +0000

kpim6-libkgapi (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:35:01 +0000

kpim6-libkgapi (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:14:39 +0000

kpim6-libkgapi (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 13:35:08 +0000

kpim6-libkgapi (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:52:01 +0000

kpim6-libkgapi (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:19:27 +0000

libkgapi (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:22:44 +0000

libkgapi (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:57:30 +0000

libkgapi (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:50:30 +0000

libkgapi (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:27:47 +0000

libkgapi (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:03:11 +0000

libkgapi (22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:10:19 +0000

libkgapi (22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:31:38 +0000

libkgapi (22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:47:04 +0000

libkgapi (22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:30:31 +0000

libkgapi (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:17:18 +0000

libkgapi (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:38:55 +0000

libkgapi (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:36:56 +0000

libkgapi (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:47:59 +0000

libkgapi (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 10:56:36 +0000

libkgapi (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:13:19 +0000

libkgapi (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 06:32:05 +0000

libkgapi (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:13 +0000

libkgapi (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:23:20 +0000

libkgapi (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:14 +0000

libkgapi (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:24:53 +0000

libkgapi (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:21 +0000

libkgapi (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:07 +0000

libkgapi (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:04:54 +0000

libkgapi (20.12.2-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: kpim6-libkgapi
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcontacts-dev,
               kf6-kio-dev,
               kf6-kwallet-dev,
               kf6-kwindowsystem-dev,
               libsasl2-dev,
               libxml2-utils,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-webengine-dev,
               xauth,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/libkgapi
Vcs-Git: https://invent.kde.org/neon/kde/libkgapi.git
Vcs-Browser: https://invent.kde.org/neon/kde/libkgapi
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-libkgapi
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: qml6-module-sso-onlineaccounts,
         qt6-webengine,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kpim6-libkgapi-dev (<< 25.08.0-1),
          libkf6gapi-data,
          libkpim6gapi-data,
          libkpimgapiblogger6abi1,
          libkpimgapicalendar6,
          libkpimgapicontacts6,
          libkpimgapicore6,
          libkpimgapidrive6,
          libkpimgapilatitude6,
          libkpimgapimaps6,
          libkpimgapipeople6,
          libkpimgapitasks6,
          libsasl2-modules-kdexoauth2 (<< 23.08.5)
Breaks: kpim6-libkgapi-dev (<< 25.08.0-1),
        libsasl2-modules-kdexoauth2 (<< 23.08.5)
Description: core library to integrate with Google service APIs
 This package is part of libkgapi.

Package: kpim6-libkgapi-dev
Section: libdevel
X-Neon-MergedPackage: true
Architecture: any
Multi-Arch: same
Depends: kf6-kcalendarcore-dev,
         kf6-kcontacts-dev,
         kpim6-libkgapi,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkpimgapi-dev, libsasl2-modules-kdexoauth2 (<< 23.08.5)
Breaks: kpim6-libkgapi (<< 25.08.0-1), libsasl2-modules-kdexoauth2 (<< 23.08.5)
Provides: libkpimgapi-dev
Description: Google API library for KDE -- development files
 LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
 for various Google services.
 .
 This package contains development files for building software that uses
 the LibKGAPI library.

Package: libkf6gapi-data
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapi-data
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapi-dev
Architecture: all
Depends: kpim6-libkgapi-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapiblogger6abi1
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapicalendar6
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapicontacts6
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapicore6
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapidrive6
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapilatitude6
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapimaps6
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapipeople6
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpimgapitasks6
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kpim6-libsasl2-modules-kdexoauth2
Architecture: all
Depends: kpim6-libkgapi, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-libkgapi 25.08.1

=== debian/changelog ===
kpim6-libkgapi (25.08.1-0zneon+24.04+noble+release+build24) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 05:10:22 +0000

kpim6-libkgapi (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:08:51 +0000

## kpim6-libkgapi 25.08.1+p24.04+vstable+git20250910.0510

=== debian/changelog ===
kpim6-libkgapi (25.08.1+p24.04+vstable+git20250910.0510-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Sep 2025 05:10:36 +0000

## kpim6-libkgapi 25.08.1+p24.04+vstable+git20250914.1608

=== debian/changelog ===
kpim6-libkgapi (25.08.1+p24.04+vstable+git20250914.1608-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 16:08:06 +0000

## kpim6-libkgapi 25.08.2

=== debian/changelog ===
kpim6-libkgapi (25.08.2-0zneon+24.04+noble+release+build26) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 05:18:45 +0000

kpim6-libkgapi (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:50:52 +0000

## kpim6-libkgapi 25.08.2+p24.04+vstable+git20251015.1241

=== debian/changelog ===
kpim6-libkgapi (25.08.2+p24.04+vstable+git20251015.1241-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:41:31 +0000

## kpim6-libkgapi 25.08.2+p24.04+vstable+git20251019.0229

=== debian/changelog ===
kpim6-libkgapi (25.08.2+p24.04+vstable+git20251019.0229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:29:48 +0000

## kpim6-libkgapi 25.08.2+p24.04+vunstable+git20251011.0303

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.40")

set(KGAPI_LIB_VERSION ${PIM_VERSION})

project(kgapi VERSION ${KGAPI_LIB_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.17.0")
set(QT_REQUIRED_VERSION "6.8.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)

include(ECMPoQmTools)
include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(KDEClangFormat)
include(ECMAddQch)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
option(BUILD_SASL_PLUGIN "Build the SASL plugin (only disable this for co-installability)" ON)


set(CMAKE_AUTOMOC_MACRO_NAMES "Q_OBJECT" "Q_GADGET" "Q_NAMESPACE" "Q_NAMESPACE_EXPORT")


############## Find Packages ##############
find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED COMPONENTS
    Core
    Network
    Widgets
    Xml
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Wallet
)

find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)

if(BUILD_SASL_PLUGIN)
    find_package(Sasl2)
    set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)
endif()

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KGAPI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kgapi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6GAPIConfigVersion.cmake"
    SOVERSION 6
)


add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


############## Targets ##############
add_subdirectory(src)
if(KGAPI_BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

############## CMake Config Files ##############
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6GAPI")
set(KGAPI_KF6_COMPAT FALSE)

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6GAPIBlogger_QCH KPim6GAPICalendar_QCH
        KPim6GAPICore_QCH KPim6GAPIDrive_QCH
        KPim6GAPILatitude_QCH KPim6GAPIPeople_QCH
        KPim6GAPIMaps_QCH KPim6GAPITasks_QCH
        FILE KPim6GAPIQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
   )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6GAPIQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimGAPIConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6GAPIConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6GAPIConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6GAPIConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPim6GAPITargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6GAPITargets.cmake
    NAMESPACE KPim6::
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/kgapi_version.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KPim6/KGAPI"
    COMPONENT Devel
)



ecm_qt_install_logging_categories(
        EXPORT LIBKGAPI
        FILE libkgapi.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
       )


ecm_install_po_files_as_qm(poqm)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpim6-libkgapi (25.08.2+p24.04+vunstable+git20251011.0303-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 03:03:19 +0000

## kpim6-libkgapi 25.08.2+p24.04+vunstable+git20251013.0450

=== debian/changelog ===
kpim6-libkgapi (25.08.2+p24.04+vunstable+git20251013.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 04:50:38 +0000

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
          qt6-webengine,
          ${misc:Depends},
          ${shlibs:Depends}
-Replaces: kpim6-libkgapi-dev (<< 25.08.0-1),
+Replaces: kpim6-libkgapi-dev (<< 25.08.1),
           libkf6gapi-data,
           libkpim6gapi-data,
           libkpimgapiblogger6abi1,
@@ -47,7 +47,7 @@
           libkpimgapipeople6,
           libkpimgapitasks6,
           libsasl2-modules-kdexoauth2 (<< 23.08.5)
-Breaks: kpim6-libkgapi-dev (<< 25.08.0-1),
+Breaks: kpim6-libkgapi-dev (<< 25.08.1),
         libsasl2-modules-kdexoauth2 (<< 23.08.5)
 Description: core library to integrate with Google service APIs
  This package is part of libkgapi.
@@ -63,7 +63,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: libkpimgapi-dev, libsasl2-modules-kdexoauth2 (<< 23.08.5)
-Breaks: kpim6-libkgapi (<< 25.08.0-1), libsasl2-modules-kdexoauth2 (<< 23.08.5)
+Breaks: kpim6-libkgapi (<< 25.08.1), libsasl2-modules-kdexoauth2 (<< 23.08.5)
 Provides: libkpimgapi-dev
 Description: Google API library for KDE -- development files
  LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs

## kpim6-libkgapi 25.08.2+p24.04+vunstable+git20251020.1206

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,7 +65,7 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kpim6-libkgapi (25.08.2+p24.04+vunstable+git20251020.1206-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:06:38 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/libkgapi-([\d.]+).tar.xz

## kpim6-libkgapi 25.08.3

=== debian/changelog ===
kpim6-libkgapi (25.08.3-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:22:19 +0000

kpim6-libkgapi (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:45:40 +1000

## kpim6-libkgapi 25.08.3+p24.04+vunstable+git20251202.1050

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 set(KGAPI_LIB_VERSION ${PIM_VERSION})
 
 project(kgapi VERSION ${KGAPI_LIB_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.17.0")
-set(QT_REQUIRED_VERSION "6.8.0")
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
@@ -65,7 +65,7 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kpim6-libkgapi (25.08.3+p24.04+vunstable+git20251202.1050-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:50:53 +0000

## kpim6-libkgapi 25.08.3+p24.04+vunstable+git20251206.0651

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 project(kgapi VERSION ${KGAPI_LIB_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== debian/changelog ===
kpim6-libkgapi (25.08.3+p24.04+vunstable+git20251206.0651-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 06:51:57 +0000

## kpim6-libkgapi 25.12.0

=== debian/changelog ===
kpim6-libkgapi (25.12.0-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 23:27:09 +0000

kpim6-libkgapi (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:42:16 +1000

## kpim6-libkgapi 25.12.0+p24.04+vstable+git20251210.2313

=== debian/changelog ===
kpim6-libkgapi (25.12.0+p24.04+vstable+git20251210.2313-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 10 Dec 2025 23:13:19 +0000

## kpim6-libkgapi 25.12.0+p24.04+vstable+git20251222.0530

=== debian/changelog ===
kpim6-libkgapi (25.12.0+p24.04+vstable+git20251222.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 22 Dec 2025 05:30:18 +0000

## kpim6-libkgapi 25.12.1

=== debian/changelog ===
kpim6-libkgapi (25.12.1-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 11:26:12 +0000

kpim6-libkgapi (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:33:33 +1000

## kpim6-libkgapi 25.12.1+p24.04+vstable+git20260111.0458

=== debian/changelog ===
kpim6-libkgapi (25.12.1+p24.04+vstable+git20260111.0458-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 04:59:00 +0000

## kpim6-libkgapi 25.12.1+p24.04+vstable+git20260113.0514

=== debian/changelog ===
kpim6-libkgapi (25.12.1+p24.04+vstable+git20260113.0514-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 05:14:09 +0000

## kpim6-libkgapi 25.12.1+p24.04+vunstable+git20260123.0513

=== debian/changelog ===
kpim6-libkgapi (25.12.1+p24.04+vunstable+git20260123.0513-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 05:13:31 +0000

## kpim6-libkgapi 25.12.1+p24.04+vunstable+git20260204.0832

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.27)
 set(PIM_VERSION "6.6.40")
 
 set(KGAPI_LIB_VERSION ${PIM_VERSION})
@@ -6,7 +6,7 @@
 project(kgapi VERSION ${KGAPI_LIB_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.20.0")
+set(KF_MIN_VERSION "6.21.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -65,7 +65,12 @@
 
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kpim6-libkgapi (25.12.1+p24.04+vunstable+git20260204.0832-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 08:32:03 +0000
